Questions tagged [rpm]

RPM is a package management system intended primarily for Linux distributions.

165 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
4
votes
0answers
1k views

Centos 7 boot up with custom kernel problem

I have installed centos 7 on virtualbox machine which has kernel-3.10.0-123.20.1.el7.x86_64. I am trying to build Linux kernel from kernel sources. I downloaded the kernel source files from: http://...
4
votes
0answers
4k views

Convert pacman package to deb or rpm?

Given a pacman package (.pkg.tar.xz), is there a tool to convert it to a deb or rpm package? In other words, I'm looking for an equivalent to alien. So far, I got the impression that such a tool does ...
3
votes
0answers
40 views

Is it possible to create an RPM package from an install script?

I'd like to easily create RPM packages for some random projects that do not come bundled as RPM (or whose RPMs are severely outdated). Take the Pop OS GTK theme as an example. Installing the theme ...
3
votes
1answer
561 views

Relocating files while extracting RPM

I'm trying to extract files from relocatable RPMs and am facing the current problem: rpm2cpio my.rpm | cpio -ivd works very well but I get the full path of the files, including the default prefix ...
3
votes
0answers
379 views

Remove package with yum but leave libraries in place?

During setup on a specific set of servers, I need gcc-c++ installed to compile some of the software I am setting up. After install is complete I need to remove the compiler for security reasons. ...
3
votes
0answers
2k views

How to edit rpm's HEADER and NAME-VERSION-RELEASE

Is there's a way or a tool that can modify the HEADER and the NAME-VERSION-RELEASE for an existing rpm without installing/rebuilding it?
2
votes
0answers
247 views

How to build an RPM package for python app that works in Fedora 28 and 29, which have different default Python3 version?

What I Want To Do I'm trying to build an RPM package of my app that could be installed in different Fedora distros, which have different default Python 3 versions (i.e. Fedora 28 has python3.6, and ...
2
votes
1answer
34 views

Get rpm installation order (Areca hw bus reset)

We have a standard configuration for all of our machines. Installation is via a script which installs approx 800 packages over a minimum Centos 6 install. This has worked fine for 5 years already. ...
2
votes
0answers
206 views

YUM not resolving dependency with requirement for older version

YUM is failing to resolve an old version of a dependency in my repository. It seems to be getting confused by the fact that there is a newer version present, even though the older version (which ...
2
votes
0answers
370 views

Rollback dependencies from a zypper update failure

The main RPM requires specific version of dependencies, for example: main-1.0.0 requires foo-1.0.0, bar-1.0.0 main-1.1.0 requires foo-1.1.0, bar-1.1.0 When I try to update the main RPM, there is ...
2
votes
1answer
419 views

Package depends on mpich, cannot be installed because nothing provides libmpi.so.12

I have some software that uses MPI. I have created an RPM package from that. The requirements are such that mpich and mpich-devel are included: BuildRequires: libstdc++-devel autoconf gcc-c++ ...
2
votes
0answers
616 views

Installing RabbitMQ & Erlang without root

So this client has a lot of internal regulations and has issues getting root access. While RabbitMQ has a "generix Linux" install that doesn't require root access, it still relies on ErLang Is there ...
2
votes
1answer
170 views

Proper way to use repository-packages

My task is "find set of installed packages that belong to a repository". I try to do: sudo dnf repository-packages REPO info installed So I can determine if I need to disable it or not. But ...
2
votes
1answer
473 views

How do I specify a requirement for a minimum version of openssl in RPM spec file?

The rpm spec file for my package looks like this: Requires:mysql-server >= 5.5.30, java >= 1.6, p7zip, openssl >= 1.0.2g I have an RHEL system where the OpenSSL version is this: [ag@rhel1]#...
2
votes
1answer
2k views

How to install Python module dependencies from my RPM?

I have an application that I am packaging as an RPM and installing on CentOS 7. When I install the RPM I want it to install some compiled binaries as well as some Python modules with their ...
2
votes
1answer
62 views

Virtualbox Guest Additions packages?

As I move to look at virtualbox for the small/medium business where I've used vmware previously, I'm interested in a proper kickstart for my RHEL5/6/7 hosts. I'm used to using proper vmware guest ...
2
votes
1answer
657 views

Centos 7 - Can't download RPM (Trying to connect with IPV6)

I am normally an Debian/Ubuntu guy, but I wanted to test the foreman on CentOS 7, but I am having some trouble with the rpm command. I have tried to disable IPV6 with echo 1 > /proc/sys/net/ipv6/...
2
votes
0answers
877 views

How to corrupt rpmdb?

Yes, You read it right i actually want to corrupt RPMDB for testing purpose. I tried Googling it but all i got was to, how to rebuild it. So at last i tried rpm --rebuilddb and killed the process ...
2
votes
1answer
171 views

Make a rpm package from the cpan compatible tree?

I always make my perl module following the CPAN-complient tree. I would like to use this tree to create a rpm file I could install on a hundreth servers. Is it possible to make a rpm package with ...
2
votes
1answer
7k views

Unable to use yum repos whether with baseurl or mirrorlist in CentOS 6.5

Since a couple of days, I'm unable to retrieve repositories data with Yum, in my CentOS 6.5 server. I did yum clean all a dozen of times, it emptied all but didn't solved the problem. I tried to ...
2
votes
0answers
214 views

Can capabilities for files be specified via cmake/cpack?

Since RPM 4.7, there has been the ability to specify that a file in an RPM package should be installed with capabilities set (via %caps). Is there a way to specify something like this via cmake/cpack ...
2
votes
0answers
64 views

Best way to release an RPM that includes an independently version module

I work on a server software that is targeted for RHEL/CentOS and is currently distributed via a standard RPM file. What brings me here is that it includes a downloadable client engine that users can ...
2
votes
2answers
976 views

AIX apache rpm dependencies

I am evaluating the Crowd SSO by Atlassian. Now to get apache to use CROWD for authentication, there is a connector available by the vendor. Problem Unfortunately they do not provide anything for ...
2
votes
2answers
629 views

Missing dependency during rpm install

When I install CodeAnalsyt, i get a failed dependency on libbfd-2.20.51 on Centos 6.3. Binutils is installed on my system and the failed dependency does exists at /usr/lib64/libbfd-2.20.51.0.2-5.34....
2
votes
1answer
368 views

Install apache2-mod-mono-2.10

I am trying to install mod-mono for apache so that I can run C# asp.net websites from my server. The project I have is a .net 4 project. When I go into yast and select apache2-mod-mono for install ...
2
votes
0answers
2k views

How to change metadata on an installed rpm

I need to modify information for an rpm which is already installed. E.g. rpm -qi sip-section-call-1.0.19-1.noarch Name : sip-section-call Relocations: (not relocatable) ...
1
vote
0answers
20 views

Problems with installing packages using rpm package manager

I am currently trying to install packages on CentOS based machine which doesnot have yum, so I need to use rpm for installation. I grabbed the required rpm pacckages and try to install it like this $ ...
1
vote
0answers
22 views

Why is my rpmbuild %{dist} .fc30.fc30 instead of just .fc30?

I have a .spec file: Name: somefile Version: 1.0.0 Release: 1%{?dist} ... Which produces an RPM: somefile-1.0.0-1.fc30.fc30.noarch.rpm Why is %{dist} applying .fc30 twice? ...
1
vote
0answers
27 views

Install packages in CentOS without root from non enabled repository

I need to install a high number of packages in a computer running Scientific Linux 6 (based on RHEL 6) for which I don't have root access. After much tinkering and internet searching I found this ...
1
vote
1answer
78 views

Can we use both dnf and Microdnf simultaneously?

I am getting below error message when I use dnf and microdnf simultaneously to install/remove packages. error: failed loading RPMDB
1
vote
0answers
43 views

RHEL-7.4 Linux rpm file Installation error

I tried to install rpm file in RHEL-7.4 Linux using: # rpm -i xxx.rpm /var/tmp/rpm-tmp.5WIuFR: line 9: /etc/init.d/xxx-driver: Permission denied What is this error and how to resolve it?
1
vote
1answer
31 views

RPM creation solve depencies

I have created a rpm on Centos 7 it needs rh-python36 and centos-release-scl-rh is required to be installed in advance, so the current sequence is : sudo yum install -y centos-release-scl-rh sudo yum ...
1
vote
0answers
34 views

Building custom RPM with boolean BuildsRequires and Requires

I'm trying to use boolean logic for my dependencies (https://rpm.org/user_doc/boolean_dependencies.html) in a custom spec file, but I'm running into trouble. .spec snippet BuildRequires: libxml2-...
1
vote
0answers
24 views

unexpected behavior of 'rpm --setperms sudo'

rpm --setperms sudo on a fedora 29 fresh installation sets /usr/bin/sudo's permissions to 0777; i confirmed it by reinstalling sudo using dnf, which will correctly set the permissions to 4111 and then ...
1
vote
1answer
97 views

MySQL Java connector still using old java version?

Installing mysql-connector-java-8.0.15-1.el6.noarch.rpm (available here ) shows libgcj package as a dependency. Installing libgcj creates below file: /usr/bin/gij $/usr/bin/gij -version java version ...
1
vote
2answers
398 views

SUSE Linux Signature verification failed

When I code, build and sign .rpm file for SUSE Linux, it is signed successfully as follows: rpm --checksig -v xxx.rpm Header V4 RSA/SHA256 Signature, key ID 7936b039: OK Header SHA1 digest: OK ...
1
vote
2answers
447 views

How to update Firefox offline to a specific version on Centos 6.9

I'm trying to install a specific version of Firefox (52.8) on Centos 6.9. I've used "yumdownload --resolve firefox...x86_64". It created a folder the firefox rpm as well as 5 or six other dependencies....
1
vote
0answers
68 views

what is inside weak-update folder?

First, installed a driver package to OS (ex: CentOS ) -- foo_1.0.rpm Second, install the same driver but different version -- foo_2.0.rpm by rpm -ivh --force foo_2.0.rpm It seems an extra folder ...
1
vote
1answer
140 views

How install pcnfs on Centos 7

I have CentOS 7.2 on my NFS server, but I can't find the rpm for pcnfs. I have some DOS clients that use pcnfs authentication for mounting partitions. Due to an old netapp being removed, I need ...
1
vote
1answer
536 views

Is it possible to download RPM packages and their dependencies in a Mac?

I want to install some packages (.rpm files) on a RedHat system with no internet access. So, I'd have to download the packages on another system and copy them to the target system. But I do not have ...
1
vote
0answers
948 views

Download RPM on windows pc then install on centos server

Actually, i don't want to ask this as much as possible. But i'm really stuck in installing services in centOS server for 2 days. I almost browse all the pages in Google result. I'm a windows user guy ...
1
vote
0answers
53 views

Build “shadow” RPM database?

Let's say the ones in charge of the server are unwilling to have our department's software installed using RPM packages. Because it requires superuser rights and they are afraid it could mess up their ...
1
vote
0answers
83 views

How to install X desktop on a custom Linux distribution without X in the official yum repo?

I am using a custom Linux distribution. It is minimal. It uses yum but has very small amount of packages in its official yum repo. yum search does not find any matching records. So far as I know, no ...
1
vote
1answer
318 views

What are the differences between rpm.org and rpm5.org?

I would like to make a pull request for upgrading the rpm formula of Homebrew. And, I'm looking for the latest stable code base for rpm. I found two project: http://rpm.org and http://rpm5.org The ...
1
vote
0answers
201 views

How to Check if Dependencies are Met Between RPM Packages?

Given a bunch of RPMs in a directory, how does one check whether there are no unmet dependencies among them, and, if there are, print a list of the missing ones? The solution should not assume ...
1
vote
0answers
269 views

suse yast nothing provides .so needed by, building from source

I have some software provided as an x8-64.rpm. The one specifically giving me a problem let's call it MYSoftwareRPM.x86_64. Using Yast-Software Manager it tells me nothing provides libreadline.so.6()...
1
vote
1answer
492 views

Yum does nothing(Unresponsive) when installing any package or updating

I am having issues with using Yum on Redhat 7. Yum does nothing ("Unresponsive") when installing any package or updating even with sudo or root. Here's what I did: yum install update rpm --...
1
vote
0answers
255 views

Post-install Yum Remove Dependency

I've recently upgraded my PostgreSQL Server from 9.2 to 9.4. With these changes, I've updated a PostgreSQL Utilities RPMs POM.xml from <groupId>org.codehaus.mojo</groupId> <artifactId&...
1
vote
0answers
821 views

How to run .phar file with PHP CLI from an unpacked RPM?

How to reproduce: "Install" PHP 5.4 (plus ncurses and OpenSSL libraries) from CentOS 7 repositories using rpm2cpio | cpio in a directory called "rpm" Download phpunit.phar version 4.8.26 Run ...
1
vote
0answers
2k views

RPM build errors: Bad exit status from /var/tmp/rpm-tmp.8ntGMt (%install)

I'm getting an error that I'm not sure how to debug. Any thoughts on the matter? Here are the contents of the shorewall.spec file %global mainver 5.0.4 %global baseurl http://www.shorewall.net/pub/...